Bug 84579

Summary: [BlackBerry] Authenticated proxy isn't working.
Product: WebKit Reporter: Jason Liu <jasonliuwebkit>
Component: WebKit BlackBerryAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: joenotcharles, rwlbuis, staikos, tonikitoo, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: Other   
Bug Depends on: 80135    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch none

Description Jason Liu 2012-04-23 02:33:21 PDT
steps to reproduce:
1. connect to WiFi network with Internet access only via proxy server (used
qaproxy network in QNX-Ottawa WiFi test network)
2. Enable HTTP Proxy & configure proxy credentials under WiFi advanced
configuration (proxy IP, port, username & password)
3. attempt to access www.google.com, a dialog box requesting proxy username &
password will be shown

expected results:  website should be loaded successfully without prompting for
proxy credentials

reproducibility: 100%
Comment 1 Jason Liu 2012-04-23 19:26:47 PDT
Created attachment 138488 [details]
Patch
Comment 2 Joe Mason 2012-04-24 07:22:01 PDT
This is going to conflict with the patch I'm reverting from bug 80135.  That revert may well fix authenticated proxy. Please don't commit it.
Comment 3 Jason Liu 2012-04-24 20:29:19 PDT
(In reply to comment #2)
> This is going to conflict with the patch I'm reverting from bug 80135.  That revert may well fix authenticated proxy. Please don't commit it.

The revert can't fix this problem. It is really a bug.
So I make a patch based on the newest codes.
Comment 4 Jason Liu 2012-04-24 20:38:27 PDT
Created attachment 138731 [details]
Patch
Comment 5 Joe Mason 2012-04-25 06:59:55 PDT
Looks good to me.
Comment 6 WebKit Review Bot 2012-04-25 21:02:42 PDT
Comment on attachment 138731 [details]
Patch

Clearing flags on attachment: 138731

Committed r115284: <http://trac.webkit.org/changeset/115284>
Comment 7 WebKit Review Bot 2012-04-25 21:02:48 PDT
All reviewed patches have been landed.  Closing bug.